Установка Drupal 6.1 С Нуля

avatar

У нас был один сайт на Drupal старой версии, так как в феврале вышел новый Drupal 6.1, то мы решили не заморачиваться (контента всего статей 15 было) и установить его вместо трудного апдейта с пятерки.

Установка Drupal 6.1 С НуляДалее я расскажу как установить  Drupal 6.1 с нуля для новичков.

Первое что нужно сделать скачать дистрибутив Drupal 6.1 released (1.03 Mb)
http://ftp.osuosl.org/pub/drupal/files/projects/drupal-6.1.tar.gz

Создаем базу данных и пользователя. Заливаем установочные файлы на хостинг. В браузере пишем http://mysite.ru/install.php
Выбираем английский язык.

***

Если возникла ошибка: «register_globals is enabled. Drupal requires this configuration directive to be disabled.»

Как можно отключить Register Globals?

Для этого нужно в корневой директории создать файл php.ini и прописать в нем register_globals = Off;
Или прописать в .htaccess php_value register_globals off

Для проверки запустите php файлик с кодом:

<?
echo (‘register globals = ‘.@ini_get(‘register_globals’));
echo (‘<br>$some_var = ‘.$some_var);
?>

***

Вводим базу и имя пользователя.
Выбираем почту и пароль админа.

Готово, английский Drupal 6.1 установлен. Завтра опишу русификацию и настройку  Drupal 6.1




.

Комментарии (19) к материалу "Установка Drupal 6.1 С Нуля"

  1. avatarевсеев (17.03.2008 15:23) (Ответить)

    спасибо за статью в качестве благодарности клинку по гоголю)

  2. avatarАндрей Лапенко (17.03.2008 15:39) (Ответить)

    Пожалуйста, по друпалу будет еще много, делаем проект на нем :wink:

  3. avatardaping (17.03.2008 21:31) (Ответить)

    Статья получилась весьма короткая ;) А по поводу друпала, я бы хотел оградить новичков от мысли установить друпал из последней ветки, так как для него переделаны лишь основные модули. А сила друпала в чем?.. правильно, в модулях.

  4. avatarАндрей Лапенко (17.03.2008 21:39) (Ответить)

    В этом согласен, но никто не мешает сделать, так сказать «зеленую установку» и ограничиться штатными средствами, пока переведут модули.

  5. avatardaping (17.03.2008 22:01) (Ответить)

    Все модули будут очень долго переводить. Если строить серьёзный или просто специфический проект, а не сайт-визитку(или каталог статей) то обязательно придётся воспользоваться нераспространёнными модулями, которые только недавно перевелись с 4-ой ветки на 5-ю. Я не хочу сказать что не надо использовать 6ой друпал, просто нужно очень серьёзно отнестись к выбору версии для установки, в зависимости от задач, которые стоят перед вебмастером.

  6. avatarАртем Лыгин (14.04.2008 08:52) (Ответить)

    Огромное спасибо и за пост и за блог в целом, очень помогает!

  7. avatarАндрей Лапенко (14.04.2008 09:23) (Ответить)

    Стараемся :wink:

  8. avatarне ффтыкать! (10.08.2008 08:14) (Ответить)

    спасибо за короткий tutorial
    аффтору зачет!
    кстати может кто то знает есть ли переведенный на русский язык модуль
    «Job Posting» ??

  9. avatarLestat (28.12.2008 17:19) (Ответить)

    The following errors must be resolved before you can continue the installation process:

    * The Drupal installer requires write permissions to ./sites/default during the installation process. If you are unsure how to grant file permissions, please consult the on-line handbook.
    * The directory sites/default/files does not exist. An automated attempt to create this directory failed, possibly due to a permissions problem. To proceed with the installation, either create the directory and modify its permissions manually, or ensure that the installer has the permissions to create it automatically. For more information, please see INSTALL.txt or the on-line handbook.

    Вот что делать с этим ?

    1. avatarАндрей Лапенко (29.12.2008 12:58) (Ответить)

      Права доступа на папки нужно выставить 777, 775 или 755 в зависимости от вашего сервера.

  10. avatarLestat (23.02.2009 11:40) (Ответить)

    У меня проблема я когда наченаю устанавлевать вот что выдаёт Fatal error: Trying to clone an uncloneable object of class mysqli in /var/www/ocsid/data/www/ocsid.1vp.ru/news/includes/install.mysqli.inc on line 36

    Что делать ?

    1. avatarАндрей Лапенко (23.02.2009 13:19) (Ответить)

      Думаю, стоит задать вопрос на Drupal.ru, я с таким не сталкивался.

    2. avatarlily (29.04.2010 12:59) (Ответить)

      В php.ini zend.ze1_compatibility_mode = off. Мне это помогло.

  11. avatarLestat (23.02.2009 22:43) (Ответить)

    Проблема с русификатором не магу установить помогите. :shock:

  12. avatarLG (28.02.2009 23:19) (Ответить)

    Выдает вот такую ошибку:
    Cannot modify header information — headers already sent by (output started at X:\home\localhost\www\karakesek\includes\install.inc:188) in X:\home\localhost\www\karakesek\includes\install.inc on line 619

  13. avatarUzver (06.04.2009 23:08) (Ответить)

    Устанавливал начиная с денвера заканчивая руссификатором. Всё нормально работает, никаких ошибок. Посмотрите внимательней что вам надо именно, не пропустили ли вы что нибудь.

  14. avatarIrinaStasuk (06.11.2009 23:11) (Ответить)

    Спасибо огромное. Обновляла пятерку до 5.20 и модуль imagecache запросил imageapi (стояла 5.7 и обходилась без этого). imageapi потребовал php5.

    Вылезла вышеназванная ошибка и ваше описание помогло мне ее решить. Огромное спасибо!

  15. avatarZiklon (18.03.2010 12:30) (Ответить)

    Хорошая статья, я раньше устанавливал по инструкции с сайта mytrouble.ru и drupal.ru очень полезные ресурсы для новичков.

  16. avatarivan (13.02.2012 10:46) (Ответить)

    помогите пожалуйста ничего не помогает, показывает ошибку register_globals is enabled. Drupal requires this configuration directive to be disabled.” перепробовал всё, когда вставляю код который вы сказали в .htaccess пишет ошибку. Или нужно его в какоето определённое место вставлять помогите плиз

Leave a comment


Я не рассылаю спам! *

Top